﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200
INSTRUMENT:            Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200
DATE:                  2010-11-29 11:21:00
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       20
NUMBER OF LINES:       623
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Fluke 9560 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70404B, MSO 70404
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO7000 Channel Selection IEEE
#        Sub Tek DPO7000 Trigger Chk and Level Adj IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        One power splitter
#        One 10X attenuator
#        One 2X attenuator
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  JMPL         BANDWIDTH               PSUBI("BW VER")
  1.004  JMPL         TRIGGER_SENS            PSUBI("Trigger")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# ================ Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200 =======

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =ANALOG BANDWIDTH
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  HEAD         ANALOG BANDWIDTH 50 Ohm (CH [V @Chan])

  2.009  RSLT         =
  2.010  HEAD         -2{10 mV/div}
  2.011  TARGET
# Configure the DUT.
  2.012  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
  2.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
  2.014  IEEE2        CH[V @Chan]:BAN FUL
  2.015  IEEE2        CH[V @Chan]:BAN:ENH AUTO
  2.016  IEEE2        CH[V @Chan]:BAN:FORC ON
  2.017  IEEE2        HOR:SCA 40E-9
  2.018  IEEE2        HOR:MODE:SAMPLER 250E+9
  2.019  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.020  IEEE2        ACQ:SAMP IT
  2.021  IEEE2        MEASU:MEAS1:METH HIS
  2.022  IEEE2        CH[V @Chan]:BAN:ENH AUTO
# Need to restore the horizontal setting.
  2.023  IEEE2        HOR:SCA 40E-9
  2.023  IEEE2        CH[V @Chan]:SCA 10E-3
# Maybe need to change to PK2P.
  2.024  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  2.025  MATH         MEM = 60; MEM1 = MEM

  2.026  DO
  2.027  MATH         MEM = MEM1 + (60 - MEM) / 2

  2.028  IF           MEM > 65 || MEM < 55
  2.029  MATH         MEM = 60
  2.030  ENDIF

  2.031  9500         mVpp                         50MH           LS    S  L
  2.032  WAIT         -t 2 9500B Settling...
  2.033  IEEE2        TRIG:A SETL
  2.034  IEEE2        MEASU:STATI:MODE ALL
  2.035  IEEE2        MEASU:STATI:COUNT RESET
  2.036  WAIT         -t 4 DUT Settling...
  2.037  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  2.038  MATH         MEM = MEM * 1E+3
  2.039  UNTIL        (MEM >= 59.5) && (MEM <= 60.5)

# Last calibrator amplitude setting is in MEM1.
  2.040  MATH         MEM = MEM1
  2.041  MATH         Vinpp = MEM
  2.042  IEEE2        HOR:SCA 1E-9
  2.043  9500         mVpp                         4GH            LS    S  L
  2.044  IEEE2        TRIG:A SETL
  2.045  WAIT         -t 2 9500B Settling...
  2.046  IEEE2        MEASU:STATI:COUNT RESET
  2.047  WAIT         -t 4 DUT Settling...
  2.048  IEEE2        MEASU:MEAS1:MEAN?[I]
  2.049  MATH         MEM = MEM / 1E-3
  2.050  MATH         Vbwpp = MEM
# Calculate the bw gain.
  2.051  MATH         Gain = Vbwpp / Vinpp
  2.052  MATH         GainStr = FMT(Gain, "%.3f")
  2.053  MATH         Vin = FMT(Vinpp, "%.1f")
  2.054  MATH         Vbw = FMT(Vbwpp, "%.1f")
  2.055  MATH         Gain = 20 * log(Gain)
  2.056  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  2.057  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  2.058  MATH         Rslt = Rslt & ", Gain: " & GainStr
  2.059  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  3.001  9500         *                                                 S

  3.002  RSLT         =
  3.003  HEAD         -2{20 mV/div}
  3.004  TARGET
  3.005  IEEE2        HOR:SCA 40E-9
  3.006  IEEE2        CH[V @Chan]:SCA 20E-3
  3.007  MATH         MEM = 120; MEM1 = MEM

  3.008  DO
  3.009  MATH         MEM = MEM1 + (120 - MEM) / 2

  3.010  IF           MEM > 125 || MEM < 115
  3.011  MATH         MEM = 120
  3.012  ENDIF

  3.013  9500         mVpp                         50MH           LS    S  L
  3.014  IEEE2        TRIG:A SETL
  3.015  IEEE2        MEASU:STATI:COUNT RESET
  3.016  WAIT         -t 3 Settling...
  3.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  3.018  MATH         MEM = MEM * 1E+3
  3.019  UNTIL        (MEM >= 118) && (MEM <= 122)

# Last calibrator amplitude setting is in MEM1.
  3.020  MATH         MEM = MEM1
  3.021  MATH         Vinpp = MEM
  3.022  IEEE2        HOR:SCA 1E-9
  3.023  9500         mVpp                         4GH            LS    S  L
  3.024  IEEE2        TRIG:A SETL
  3.025  WAIT         -t 3 DUT Settling...
  3.026  IEEE2        MEASU:MEAS1:MEAN?[I]
  3.027  MATH         MEM = MEM / 1E-3
  3.028  MATH         Vbwpp = MEM
  3.029  MATH         Gain = Vbwpp / Vinpp
  3.030  MATH         GainStr = FMT(Gain, "%.3f")
  3.031  MATH         Vin = FMT(Vinpp, "%.1f")
  3.032  MATH         Vbw = FMT(Vbwpp, "%.1f")
  3.033  MATH         Gain = 20 * log(Gain)
  3.034  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  3.035  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  3.036  MATH         Rslt = Rslt & ", Gain: " & GainStr
  3.037  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  4.001  9500         *                                                 S

  4.002  RSLT         =
  4.003  HEAD         -2{50 mV/div}
  4.004  TARGET
  4.005  IEEE2        HOR:SCA 40E-9
  4.006  IEEE2        CH[V @Chan]:SCA 50E-3
  4.007  MATH         MEM = 300; MEM1 = MEM

  4.008  DO
  4.009  MATH         MEM = MEM1 + (300 - MEM) / 2

  4.010  IF           MEM > 330 || MEM < 270
  4.011  MATH         MEM = 300
  4.012  ENDIF

  4.013  9500         mVpp                         50MH           LS    S  L
  4.014  IEEE2        TRIG:A SETL
  4.015  IEEE2        MEASU:STATI:COUNT RESET
  4.016  WAIT         -t 3 Settling...
  4.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  4.018  MATH         MEM = MEM * 1E+3
  4.019  UNTIL        (MEM >= 298) && (MEM <= 302)

# Last calibrator amplitude setting is in MEM1.
  4.020  MATH         MEM = MEM1
  4.021  MATH         Vinpp = MEM
  4.022  IEEE2        HOR:SCA 1E-9
  4.023  9500         mVpp                         4GH            LS    S  L
  4.024  WAIT         -t 3 DUT Settling...
  4.025  IEEE2        MEASU:MEAS1:MEAN?[I]
  4.026  MATH         MEM = MEM / 1E-3
  4.027  MATH         Vbwpp = MEM
  4.028  MATH         Gain = Vbwpp / Vinpp
  4.029  MATH         GainStr = FMT(Gain, "%.3f")
  4.030  MATH         Vin = FMT(Vinpp, "%.0f")
  4.031  MATH         Vbw = FMT(Vbwpp, "%.0f")
  4.032  MATH         Gain = 20 * log(Gain)
  4.033  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  4.034  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  4.035  MATH         Rslt = Rslt & ", Gain: " & GainStr
  4.036  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  5.001  9500         *                                                 S

  5.002  RSLT         =
  5.003  HEAD         -2{100 mV/div}
  5.004  TARGET
  5.005  IEEE2        HOR:SCA 40E-9
  5.006  IEEE2        CH[V @Chan]:SCA 100E-3
  5.007  MATH         MEM = 600; MEM1 = MEM

  5.008  DO
  5.009  MATH         MEM = MEM1 + (600 - MEM) / 2

  5.010  IF           MEM > 620 || MEM < 580
  5.011  MATH         MEM = 600
  5.012  ENDIF

  5.013  9500         mVpp                         50MH           LS    S  L
  5.014  IEEE2        TRIG:A SETL
  5.015  IEEE2        MEASU:STATI:COUNT RESET
  5.016  WAIT         -t 3 Settling...
  5.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  5.018  MATH         MEM = MEM * 1E+3
  5.019  UNTIL        (MEM >= 598) && (MEM <= 602)

# Last calibrator amplitude setting is in MEM1.
  5.020  MATH         MEM = MEM1
  5.021  MATH         Vinpp = MEM
  5.022  IEEE2        HOR:SCA 1E-9
  5.023  9500         mVpp                         4GH            LS    S  L
  5.024  IEEE2        TRIG:A SETL
  5.025  WAIT         -t 3 DUT Settling...
  5.026  IEEE2        MEASU:MEAS1:MEAN?[I]
  5.027  MATH         MEM = MEM / 1E-3
  5.028  MATH         Vbwpp = MEM
  5.029  MATH         Gain = Vbwpp / Vinpp
  5.030  MATH         GainStr = FMT(Gain, "%.3f")
  5.031  MATH         Vin = FMT(Vinpp, "%.0f")
  5.032  MATH         Vbw = FMT(Vbwpp, "%.0f")
  5.033  MATH         Gain = 20 * log(Gain)
  5.034  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  5.035  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  5.036  MATH         Rslt = Rslt & ", Gain: " & GainStr
  5.037  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  6.001  9500         *                                                 S

  6.002  RSLT         =
  6.003  HEAD         -2{250 mV/div}
  6.004  TARGET
  6.005  IEEE2        HOR:SCA 40E-9
  6.006  IEEE2        CH[V @Chan]:SCA 250E-3
  6.007  MATH         MEM = 1500; MEM1 = MEM

  6.008  DO
  6.009  MATH         MEM = MEM1 + (1500 - MEM) / 2

  6.010  IF           MEM > 1550 || MEM < 1450
  6.011  MATH         MEM = 1500
  6.012  ENDIF

  6.013  9500         mVpp                         50MH           LS    S  L
  6.014  IEEE2        TRIG:A SETL
  6.015  IEEE2        MEASU:STATI:COUNT RESET
  6.016  IEEE2        MEASU:STATI:MODE ALL
  6.017  WAIT         -t 3 Settling...
  6.018  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  6.019  MATH         MEM = MEM * 1E+3
  6.020  UNTIL        (MEM >= 1498) && (MEM <= 1502)

# Last calibrator amplitude setting is in MEM1.
  6.021  MATH         MEM = MEM1
  6.022  MATH         Vinpp = MEM
  6.023  IEEE2        HOR:SCA 1E-9
  6.024  9500         mVpp                         4GH            LS    S  L
  6.025  IEEE2        TRIG:A SETL
  6.026  WAIT         -t 3 DUT Settling...
  6.027  IEEE2        MEASU:MEAS1:MEAN?[I]
  6.028  MATH         MEM = MEM / 1E-3
  6.029  MATH         Vbwpp = MEM
  6.030  MATH         Gain = Vbwpp / Vinpp
  6.031  MATH         GainStr = FMT(Gain, "%.3f")
  6.032  MATH         Vin = FMT(Vinpp, "%.0f")
  6.033  MATH         Vbw = FMT(Vbwpp, "%.0f")
  6.034  MATH         Gain = 20 * log(Gain)
  6.035  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  6.036  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  6.037  MATH         Rslt = Rslt & ", Gain: " & GainStr
  6.038  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]

  7.001  HEAD         -2
  7.002  HEAD
  7.003  9500         *                                                 S
  7.004  END

  7.005  EVAL   Increment step number

# ============ Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200 ======

  8.001  LABEL        TRIGGER_SENS

  8.002  IF           @Chan == 1
  8.003  RSLT         =
  8.004  HEAD         {TRIGGER SENSITIVITY}
  8.005  ENDIF

  8.006  RSLT         =
  8.007  RSLT         =Channel [V @Chan]
  8.008  RSLT         =
  8.009  HEAD         -2{50 MHz, A Trigger}, Rising Slope
  8.010  TARGET
  8.011  IEEE2        TRIG:A:MOD NORM
  8.012  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
  8.013  IEEE2        HOR:SCA 20E-9
  8.014  IEEE2        ACQ:MOD AVE;NUMAV 16
  8.015  IEEE2        ACQ:SAMP ET
  8.016  DISP         Connect the 9500 Channel 1 output to a power splitter.
  8.016  DISP         Connect one output of the power splitter to DUT
  8.016  DISP         CH[V @Chan], and connect the other output of the
  8.016  DISP         power splitter to the DUT Aux Input.
  8.017  IEEE2        MEASU:MEAS1:METH MINM
  8.018  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP AMP;STATE ON

# Set the generator amplitude on DUT screen: 4 divs.
  8.019  MATH         MEM = 400; MEM1 = MEM

  8.020  DO
  8.021  MATH         MEM = MEM1 + (400 - MEM) / 2

  8.022  IF           MEM > 1000 || MEM < 200
  8.023  MATH         MEM = 400
  8.024  ENDIF

  8.025  9500         mVpp                         50MH           LS    S  L
  8.026  IEEE2        TRIG:A SETL
  8.027  WAIT         -t 3 Settling...
  8.028  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

# Change to mV unit.
  8.029  MATH         MEM = MEM * 1E+3
  8.030  UNTIL        (MEM >= 398) && (MEM <= 402)

# Restore the calibrator output value.
  8.031  MATH         L[1] = MEM1
  8.032  9500         *                                                 S

# 10X attenuator = 20 dB attenuator.
  8.033  DISP         Disconnect the 50 Ohm precision coaxial cable at DUT
  8.033  DISP         CH[V @Chan], and reconnect it through a 10X attenuator.
  8.034  MATH         MEM = L[1]
  8.035  9500         mVpp                         50MH           LS    S  L

# Set the positive trigger slope.
  8.036  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
  8.037  MATH         @Vsour = L[1] / 10
  8.038  MATH         @AuxTrig = 0; @TrigAType = 1
  8.039  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  8.040  EVAL   -e @Triggered : Rising Slope, Stable Trigger
  9.001  9500         *                                                 S

  9.002  HEAD         -2 50 MHz, A Trigger, Falling Slope
  9.003  TARGET
  9.004  MATH         MEM = L[1]
  9.005  9500         mVpp                         50MH           LS    S  L
  9.006  IEEE2        TRIG:A SETL

# Set the positive trigger slope.
  9.007  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
  9.008  MATH         @Vsour = L[1] / 10
  9.009  MATH         @AuxTrig = 0; @TrigAType = 1
  9.010  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  9.011  EVAL   -e @Triggered : Falling Slope, Stable Trigger
 10.001  9500         *                                                 S

 10.002  RSLT         =
 10.003  HEAD         -2{50 MHz, B Trigger}, Rising Slope
 10.004  TARGET
 10.005  MATH         MEM = L[1]
 10.006  9500         mVpp                         50MH           LS    S  L
 10.007  IEEE2        TRIG:A SETL
 10.008  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
 10.009  IEEE2        TRIG:A:EDGE:SOU LINE
 10.010  IEEE2        TRIG:B:STATE ON
 10.011  IEEE2        TRIG:B:TYP EDGE
 10.012  IEEE2        TRIG:B:BY TIM
 10.013  IEEE2        TRIG:B:EDGE:SOU CH[V @Chan]
 10.013  IEEE2        TRIG:B SETL
 10.014  MATH         @Vsour = L[1] / 10
 10.015  MATH         @AuxTrig = 0; @TrigAType = 0
 10.016  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 10.017  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 11.001  9500         *                                                 S

 11.002  HEAD         -2 50 MHz, B Trigger, Falling Slope
 11.003  TARGET
 11.004  MATH         MEM = L[1]
 11.005  9500         mVpp                         50MH           LS    S  L
 11.006  IEEE2        TRIG:A SETL
# Set the positive trigger slope.
 11.007  IEEE2        TRIG:B:EDGE:SLO:CH[V @Chan] FALL
 11.008  MATH         @Vsour = L[1] / 10
 11.009  MATH         @AuxTrig = 0; @TrigAType = 0
 11.010  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 11.011  EVAL   -e @Triggered : Falling Slope, Stable Trigger
 12.001  9500         *                                                 S

 12.002  RSLT         =
 12.003  HEAD         -2{50 MHz, AUX TRIGGER}, Rising Slope
 12.004  TARGET
 12.005  IEEE2        TRIG:B:STATE OFF
 12.006  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 12.007  IEEE2        TRIG:A:EDGE:SLO RIS
 12.008  DISP         Remove the 10X attenuator and reconnect the cable
 12.008  DISP         to DUT CH[V @Chan].

# Adjust the 9500 output until DUT readout indicates approximately 250 mV.
 12.009  MATH         MEM = 250; MEM1 = MEM

 12.010  DO
 12.011  MATH         MEM = MEM1 + (250 - MEM) / 2

 12.012  IF           MEM > 1000 || MEM < 100
 12.013  MATH         MEM = 250
 12.014  ENDIF

 12.015  9500         mVpp                         50MH           LS    S  L
 12.016  IEEE2        TRIG:A SETL
 12.017  WAIT         -t 3 Settling...
 12.018  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

# Change to mV unit.
 12.019  MATH         MEM = MEM * 1E+3
 12.020  UNTIL        (MEM >= 249) && (MEM <= 251)

# Restore the calibrator output value.
 12.021  MATH         L[1] = MEM1
 12.022  IEEE2        TRIG:A:EDGE:SOU AUX
 12.023  IEEE2        TRIG:A:EDGE:SLO:AUX RIS
 12.024  MATH         @Vsour = L[1]
 12.025  MATH         @AuxTrig = 1
 12.026  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 12.027  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 13.001  9500         *                                                 S

 13.002  HEAD         -2 50 MHz, AUX TRIGGER, Falling Slope
 13.003  TARGET
 13.004  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 13.005  IEEE2        TRIG:A:EDGE:SLO FALL
 13.006  MATH         MEM = L[1]
 13.007  9500         mVpp                         50MH           LS    S  L
 13.008  IEEE2        TRIG:A SETL
 13.009  WAIT         -t 3 Settling...
 13.010  IEEE2        TRIG:A:EDGE:SOU AUX
 13.011  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
 13.012  MATH         @AuxTrig = 1
 13.013  MATH         @Vsour = L[1]
 13.014  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 13.015  EVAL   -e @Triggered : Falling Slope, Stable Trigger
 14.001  9500         *                                                 S

 14.002  RSLT         =
 14.003  HEAD         -2{4 GHz, A Trigger}, Rising Slope
 14.004  TARGET
 14.005  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 14.006  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
 14.007  IEEE2        HOR:SCA 200E-12
 14.008  MATH         MEM = 200; MEM1 = MEM

 14.009  DO
 14.010  MATH         MEM = MEM1 + (200 - MEM) / 2

 14.011  IF           MEM > 800 || MEM < 100
 14.012  MATH         MEM = 200
 14.013  ENDIF

 14.014  9500         mVpp                         4GH            LS    S  L
 14.015  IEEE2        TRIG:A SETL
 14.016  WAIT         -t 3 Settling...
 14.017  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

# Change to mV unit.
 14.018  MATH         MEM = MEM * 1E+3
 14.019  UNTIL        (MEM >= 198) && (MEM <= 202)

# Restore the calibrator output value.
 14.020  MATH         L[1] = MEM1
 14.021  9500         *                                                 S

 14.022  DISP         Disconnect the cable at DUT CH[V @Chan] and reconnect
 14.022  DISP         through an 2X attenuator.
 14.023  MATH         MEM = L[1]
 14.024  9500         mVpp                         4GH            LS    S  L
 14.025  IEEE2        TRIG:A SETL
 14.026  MATH         @Vsour = L[1] / 2; @AuxTrig = 0; @TrigAType = 1
 14.027  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 14.028  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 15.001  9500         *                                                 S

 15.002  HEAD         -2 4 GHz, Falling Slope
 15.003  TARGET
 15.004  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
 15.005  MATH         MEM = L[1]
 15.006  9500         mVpp                         4GH            LS    S  L
 15.007  IEEE2        TRIG:A SETL
 15.008  WAIT         -t 3 Settling...
 15.009  MATH         @Vsour = L[1] / 2; @AuxTrig = 0; @TrigAType = 1
 15.010  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 15.011  EVAL   -e @Triggered : Falling Slope, Stable Trigger
 16.001  9500         *                                                 S

 16.002  RSLT         =
 16.003  HEAD         -2{4 GHz, B Trigger}, Rising Slope
 16.004  TARGET
 16.005  MATH         MEM = L[1]
 16.006  9500         mVpp                         4GH            LS    S  L
 16.007  IEEE2        TRIG:A SETL
 16.008  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
 16.009  IEEE2        TRIG:A:EDGE:SOU LINE
 16.010  IEEE2        TRIG:B:STATE ON
 16.011  IEEE2        TRIG:B:TYP EDGE
 16.012  IEEE2        TRIG:B:BY TIM
 16.013  IEEE2        TRIG:B SETL
 16.014  MATH         @Vsour = L[1] / 2
 16.015  MATH         @AuxTrig = 0; @TrigAType = 0
 16.016  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 16.017  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 17.001  9500         *                                                 S

 17.002  HEAD         -2 4 GHz, B Trigger, Falling Slope
 17.003  TARGET
 17.004  MATH         MEM = L[1]
 17.005  9500         mVpp                         4GH            LS    S  L
 17.006  IEEE2        TRIG:A SETL
# Set the positive trigger slope.
 17.007  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
 17.008  MATH         @Vsour = L[1] / 2
 17.009  MATH         @AuxTrig = 0; @TrigAType = 0
 17.010  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 17.011  EVAL   -e @Triggered : Falling Slope, Stable Trigger
 18.001  9500         *                                                 S

 18.002  RSLT         =
 18.003  HEAD         -2{AUX TRIGGER, 1 GHz}, Rising Slope
 18.004  TARGET
 18.005  DISP         Disconnnec the 2X attenuator from DUT.
 18.006  IEEE2        TRIG:B:STATE OFF
 18.007  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 18.008  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
 18.009  IEEE2        HOR:SCA 1E-9
 18.010  MATH         MEM = 700; MEM1 = MEM

 18.011  DO
 18.012  MATH         MEM = MEM1 + (700 - MEM) / 2

 18.013  IF           MEM > 2500 || MEM < 450
 18.014  MATH         MEM = 700
 18.015  ENDIF

 18.016  9500         mVpp                         250MH          LS    S  L
 18.017  IEEE2        TRIG:A SETL
 18.018  WAIT         -t 3 Settling...
 18.019  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

# Change to mV unit.
 18.020  MATH         MEM = MEM * 1E+3
 18.021  UNTIL        (MEM >= 698) && (MEM <= 702)

# Restore the calibrator output value.
 18.022  MATH         L[1] = MEM1
 18.023  9500         *                                                 S

 18.024  DISP         Disconnect the cable at DUT Aux In and reconnect it
 18.024  DISP         to Aux In through an 2X attenuator.
 18.025  MATH         MEM = L[1]
 18.026  9500         mVpp                         1GH            LS    S  L
 18.027  IEEE2        TRIG:A:EDGE:SOU AUX
 18.028  IEEE2        TRIG:A:EDGE:SLO:AUX RIS
 18.029  MATH         @Vsour = L[1]
 18.030  MATH         @AuxTrig = 1
 18.031  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 18.032  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 19.001  9500         *                                                 S

 19.002  HEAD         -2 AUX TRIGGER, 1 GHz, Falling Slope
 19.003  TARGET
 19.004  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 19.005  IEEE2        TRIG:A:EDGE:SLO FALL
 19.006  MATH         MEM = L[1]
 19.007  9500         mVpp                         1GH            LS    S  L
 19.008  IEEE2        TRIG:A SETL
 19.009  WAIT         -t 3 Settling...
 19.010  IEEE2        TRIG:A:EDGE:SOU AUX
 19.011  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
 19.012  MATH         @Vsour = L[1]
 19.013  MATH         @AuxTrig = 1
 19.014  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 19.015  EVAL   -e @Triggered : Falling Slope, Stable Trigger

 20.001  HEAD         -2
 20.002  HEAD
 20.003  9500         *                                                 S
 20.004  END
