﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DPO 70404B: (1 yr) VER IEEE /9500/3200+1Hd,LFCTR
DATE:                  2010-11-29 11:49:07
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       497
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Fluke 9560 on channel 1
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        DPO 70404B
# 
#  Source(s):
#        DPO7000 Series Digital Phosphor Oscilloscope
#        DPO70000/B Series Digital Phosphor Oscilloscopes
#        DSA70000/B Series Digital Signal Analyzers
#        MSO70000 Series Mixed Signal Oscilloscopes
#        Specifications and Performance Verification
#        Technical Reference PN 077-0063-03
# 
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek DPO70000 Setup IEEE
#        Sub Tek DPO70000 Check Firmware Version
#        Sub Tek DPO70000 Set Bandwidth & Channel Numbers
#        Sub Tek DPO70000 Self-Test IEEE
#        Sub Tek DPO70000 Sig Path Comp Cal IEEE
#        Sub Tek DPO70000 Input Channel Functional VER IEEE
#        Sub Tek DPO70000 TimeBase Functional VER IEEE
#        Sub Tek DPO70000 Trig System Functional VER IEEE
#        Sub Tek DPO70000 File System Functional VER IEEE
#        Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500
#        Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500
#        Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500
#        Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200
#        Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) Timebase Acc VER IEEE /LFCTR
#        Sub Tek DPO70000 (1 yr) Ref Select VER IEEE /9500
#        Sub Tek DPO70404B (1 yr) Delta Time VER IEEE /9500/3200
#        Sub Tek DPO70000 (1 yr) Time Qualified VER IEEE /9500
#        Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200
#        Sub Tek DPO70000 (1 yr) Aux Trigger Out VER IEEE
#        Sub Tek DPO70000 (1 yr) Probe Comp VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) Baud Rate VER IEEE /9500/600
#        Sub Tek DPO70000 (1 yr) Serial Trig VER IEEE /9500/3200
#        Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LFCTR (Rev. 1.10 or later)
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Send Command /LFCTR (Rev. 1.3 or later)
#
# Required Files:
#        None
# 
#  Flexible Standard(s) Required:
# 
#        LF Counter (LFCTR):
# 
#          Ch. A Frequency Range: 10 MHz
#           Accuracy: ±0.5 ppm/year or better
# 
#          Example: Fluke PM6681 with PM9678B option or equivalent
# 
#  Additional Equipment Required:
#        Cable, 50 Ohm, SMA(m)-(m)
#        One 2X attenuator, 50 Ohm impedance, frequency > 6 GHz
#        One 10X attenuator, 50 Ohm impedance, frequency > 6 GHz
#        One SMA female to BNC male connector
#        One SMA male-to-female BNC adapter
#        Two Tektronix TCA-SMA adapter
#        Power splitter, frequency > 6 GHz
# 
# The procedure was tested using:
#        Model No.    : None
#        Serial No.   :
#        Options      :
#        Firmware Rev.:
#
# Average run time during testing : 4 hours
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         4GH                          1Vpp           LS    S  L
  1.003  IEEE         [@LFCTR]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum DUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek DPO70000 Setup IEEE

  1.018  IEEE2        *RST

  1.019  HEAD         DUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query IEEE

# Make sure correct DUT is connected.
  1.021  MATH         @DUT_Manufacturer = "Tektronix"
  1.022  MATH         @DUT_Model        = "DPO70404B"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                     @Abort

  1.025  CALL         Sub Tek DPO70000 Check Firmware Version
  1.026  JMPL         END                             @Abort

  1.027  CALL         Sub Datron 9500 Configuration Query IEEE

  1.028  IF           NOT(ZCMPI(@HeadTypeCh1, "9560"))
  1.029  DISP         This procedure need 9560 Active Head connected
  1.029  DISP         to 9500 Channel 1.
  1.030  END
  1.031  ENDIF

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.035  DISP         - One 2X attenuator, 50 Ohm impedance, frequency > 6 GHz
  1.035  DISP         - One 10X attenuator, 50 Ohm impedance,
  1.035  DISP         - frequency > 6 GHz
  1.035  DISP         - One SMA female to BNC male connector
  1.035  DISP         - One SMA male-to-female BNC adapter
  1.035  DISP         - Two Tektronix TCA-SMA adapter
  1.035  DISP         - Power splitter, frequency > 6 GHz
  1.036  ENDIF

  1.037  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.037  OPBR         additional equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  DISP         The indicated minimum use specifications must be
  1.039  DISP         satisfied when configuring the following devices
  1.039  DISP         as flexible standards:
  1.040  DISP
  1.040  DISP         LF Counter (LFCTR):
  1.040  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.040  DISP         [32]   Accuracy: ±0.5 ppm/year
  1.040  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.040  DISP         [32] or equivalent

  1.041  DISP         Additional equipment/accessories required:
  1.041  DISP
  1.041  DISP         - Frequency Standard, suitable for use with configured
  1.041  DISP         [32] LF counter, ±0.5 ppm or better, FlukePM6681 with
  1.041  DISP         [32] PM9678B option or equivalent (if required)
  1.042  ENDIF

  1.043  MATH         @Ch1Adapter = " via TCA-SMA adapter"
  1.044  CALL         Sub Tek DPO70000 Set Bandwidth & Channel Numbers

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   INPUT CHANNEL VERIFICATION (CH1)   INPUT CHANNEL VERIFICATION (CH1)
#    4.   INPUT CHANNEL VERIFICATION (CH2)   TIMEBASE VERIFICATION
#    5.   INPUT CHANNEL VERIFICATION (CH3)   TRIGGER VERIFICATION
#    6.   INPUT CHANNEL VERIFICATION (CH4)   FILE SYSTEM VERIFICATION
#    7.   TIMEBASE VERIFICATION              INPUT CHANNEL VERIFICATION (CH2)
#    8.   TRIGGER VERIFICATION               INPUT CHANNEL VERIFICATION (CH3)
#    9.   FILE SYSTEM VERIFICATION           INPUT CHANNEL VERIFICATION (CH4)
#   10.   DCV ACCURACY (CH1)                 DCV ACCURACY (CH1)
#   11.   DCV ACCURACY (CH2)                 DCV GAIN (CH1)
#   12.   DCV ACCURACY (CH3)                 DC OFFSET (CH1)
#   13.   DCV ACCURACY (CH4)                 BANDWIDTH (CH1)
#   14.   DCV GAIN (CH1)                     RESISTANCE (CH1)
#   15.   DCV GAIN (CH2)                     TIMEBASE ACCURACY TEST
#   16.   DCV GAIN (CH3)                     REFERENCE SELECTION TEST
#   17.   DCV GAIN (CH4)                     DELTA TIME ACCURACY TEST (CH1)
#   18.   DC OFFSET (CH1)                    TIME QUALIFIED TRIGGER TEST
#   19.   DC OFFSET (CH2)                    TRIGGER SENS (CH1)
#   20.   DC OFFSET (CH3)                    DCV ACCURACY (CH2)
#   21.   DC OFFSET (CH4)                    DCV GAIN (CH2)
#   22.   BANDWIDTH (CH1)                    DC OFFSET (CH2)
#   23.   BANDWIDTH (CH2)                    BANDWIDTH (CH2)
#   24.   BANDWIDTH (CH3)                    RESISTANCE (CH2)
#   25.   BANDWIDTH (CH4)                    DELTA TIME ACCURACY TEST (CH2)
#   26.   RESISTANCE (CH1)                   TRIGGER SENS (CH2)
#   27.   RESISTANCE (CH2)                   DCV ACCURACY (CH3)
#   28.   RESISTANCE (CH3)                   DCV GAIN (CH3)
#   29.   RESISTANCE (CH4)                   DC OFFSET (CH3)
#   30.   TIMEBASE ACCURACY TEST             BANDWIDTH (CH3)
#   31.   REFERENCE SELECTION TEST           RESISTANCE (CH3)
#   32.   DELTA TIME ACCURACY TEST (CH1)     DELTA TIME ACCURACY TEST (CH3)
#   33.   DELTA TIME ACCURACY TEST (CH2)     TRIGGER SENS (CH3)
#   34.   DELTA TIME ACCURACY TEST (CH3)     DCV ACCURACY (CH4)
#   35.   DELTA TIME ACCURACY TEST (CH4)     DCV GAIN (CH4)
#   36.   TIME QUALIFIED TRIGGER TEST        DC OFFSET (CH4)
#   37.   TRIGGER SENS (CH1)                 BANDWIDTH (CH4)
#   38.   TRIGGER SENS (CH2)                 RESISTANCE (CH4)
#   39.   TRIGGER SENS (CH3)                 DELTA TIME ACCURACY TEST (CH4)
#   40.   TRIGGER SENS (CH4)                 TRIGGER SENS (CH4)
#   41.   AUX TRIGGER OUT                    AUX TRIGGER OUT
#   42.   PROBE COMPENSATION                 PROBE COMPENSATION
#   43.   BAUD RATE LIMITATION               BAUD RATE LIMITATION
#   44.   SERIAL TRIGGER CLK RECOVER         SERIAL TRIGGER CLK RECOVER

# Self test and SPC.
  1.045  CALL         Sub Tek DPO70000 Self-Test IEEE
  1.046  JMPL         END                           @Abort

  1.047  CALL         Sub Tek DPO70000 Sig Path Comp Cal IEEE
  1.048  JMPL         END                           @Abort

  1.049  DISP         Click the X (close) button to exit the instrument
  1.049  DISP         calibration control window.

# Function test.
  1.050  OPBR         -z The purpose of functional tests are to confirm the
  1.050  OPBR         DUT functions properly; that is, they verify the DUT
  1.050  OPBR         features operate. They do not verify that they operate
  1.050  OPBR         within limits. If more extensive confirmation of
  1.050  OPBR         performance is desired, please execute the full
  1.050  OPBR         performance test.
  1.050  OPBR
  1.050  OPBR         Do you want to execute the functional tests?

  1.051  IF           MEM1
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.054  JMPL         TIMEBASE_VER

  1.055  LABEL        CHANNEL_2_VER
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.058  MATH         @Chan = 3
  1.059  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.062  JMPL         FUNC_END

  1.063  LABEL        TIMEBASE_VER
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek DPO70000 TimeBase Functional VER IEEE
  1.066  CALL         Sub Tek DPO70000 Trig System Functional VER IEEE
  1.067  CALL         Sub Tek DPO70000 File System Functional VER IEEE
  1.068  JMPL         CHANNEL_2_VER

  1.069  LABEL        FUNC_END
  1.070  DISP         Remove all connections to the DUT.
  1.071  ENDIF

# Performance test begin.
# Signal Acquire System.
  1.072  LABEL        DCV_CH1
  1.073  DISP         Connect the 9500 to the DUT as follows:
  1.073  DISP
  1.073  DISP         CH 1 Active Head to DUT CH 1[V @Ch1Adapter].
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500
  1.076  JMPL         DC_GAIN_CH1

  1.077  LABEL        DCV_CH2
  1.078  DISP         Connect the 9500 to the DUT as follows:
  1.078  DISP
  1.078  DISP         CH 1 Active Head to DUT CH 2[V @Ch1Adapter].
  1.079  MATH         @Chan = 2
  1.080  CALL         Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500
  1.081  JMPL         DC_GAIN_CH2

  1.082  LABEL        DCV_CH3
  1.083  DISP         Connect the 9500 to the DUT as follows:
  1.083  DISP
  1.083  DISP         CH 1 Active Head to DUT CH 3[V @Ch1Adapter].
  1.084  MATH         @Chan = 3
  1.085  CALL         Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500
  1.086  JMPL         DC_GAIN_CH3

  1.087  LABEL        DCV_CH4
  1.088  DISP         Connect the 9500 to the DUT as follows:
  1.088  DISP
  1.088  DISP         CH 1 Active Head to DUT CH 4[V @Ch1Adapter].
  1.089  MATH         @Chan = 4
  1.090  CALL         Sub Tek DPO70000B (1 yr) DCV Accuracy VER IEEE /9500
  1.091  JMPL         DC_GAIN_CH4

  1.092  LABEL        DC_GAIN_CH1
  1.093  MATH         @Chan = 1
  1.094  CALL         Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500
  1.095  JMPL         DC_OFFSET_CH1

  1.096  LABEL        DC_GAIN_CH2
  1.097  MATH         @Chan = 2
  1.098  CALL         Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500
  1.099  JMPL         DC_OFFSET_CH2

  1.100  LABEL        DC_GAIN_CH3
  1.101  MATH         @Chan = 3
  1.102  CALL         Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500
  1.103  JMPL         DC_OFFSET_CH3

  1.104  LABEL        DC_GAIN_CH4
  1.105  MATH         @Chan = 4
  1.106  CALL         Sub Tek DPO70000B (1 yr) DC Gain VER IEEE /9500
  1.107  JMPL         DC_OFFSET_CH4

  1.108  LABEL        DC_OFFSET_CH1
  1.109  MATH         @Chan = 1
  1.110  CALL         Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500
  1.111  JMPL         BW_CH1

  1.112  LABEL        DC_OFFSET_CH2
  1.113  MATH         @Chan = 2
  1.114  CALL         Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500
  1.115  JMPL         BW_CH2

  1.116  LABEL        DC_OFFSET_CH3
  1.117  MATH         @Chan = 3
  1.118  CALL         Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500
  1.119  JMPL         BW_CH3

  1.120  LABEL        DC_OFFSET_CH4
  1.121  MATH         @Chan = 4
  1.122  CALL         Sub Tek DPO70000B (1 yr) DC Offset VER IEEE /9500
  1.123  JMPL         BW_CH4

  1.124  LABEL        BW_CH1
  1.125  MATH         @Chan = 1
  1.126  CALL         Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200
  1.127  JMPL         RESISTANCE_CH1

  1.128  LABEL        BW_CH2
  1.129  MATH         @Chan = 2
  1.130  CALL         Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200
  1.131  JMPL         RESISTANCE_CH2

  1.132  LABEL        BW_CH3
  1.133  MATH         @Chan = 3
  1.134  CALL         Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200
  1.135  JMPL         RESISTANCE_CH3

  1.136  LABEL        BW_CH4
  1.137  MATH         @Chan = 4
  1.138  CALL         Sub Tek DPO70404B (1 yr) BW VER IEEE /9500/3200
  1.139  JMPL         RESISTANCE_CH4

  1.140  LABEL        RESISTANCE_CH1
  1.141  MATH         @Chan = 1
  1.142  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.143  JMPL         TIMEBASE

  1.144  LABEL        RESISTANCE_CH2
  1.145  MATH         @Chan = 2
  1.146  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.147  JMPL         DELTA_CH2

  1.148  LABEL        RESISTANCE_CH3
  1.149  MATH         @Chan = 3
  1.150  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.151  JMPL         DELTA_CH3

  1.152  LABEL        RESISTANCE_CH4
  1.153  MATH         @Chan = 4
  1.154  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.155  JMPL         DELTA_CH4

# TimeBase system.
  1.156  LABEL        TIMEBASE
  1.157  MATH         @Chan = 1
  1.158  CALL         Sub Tek DPO70000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.159  CALL         Sub Tek DPO70000 (1 yr) Ref Select VER IEEE /9500

  1.160  DISP         Connect the 9500 to the DUT as follows:
  1.160  DISP
  1.160  DISP         CH 1 Active Head to DUT CH 1[V @Ch1Adapter].
  1.161  CALL         Sub Tek DPO70404B (1 yr) Delta Time VER IEEE /9500/3200
  1.162  JMPL         TIME_QUALIFIED

  1.163  LABEL        DELTA_CH2
  1.164  MATH         @Chan = 2
  1.165  CALL         Sub Tek DPO70404B (1 yr) Delta Time VER IEEE /9500/3200
  1.166  JMPL         TRIGGER_CH2

  1.167  LABEL        DELTA_CH3
  1.168  MATH         @Chan = 3
  1.169  CALL         Sub Tek DPO70404B (1 yr) Delta Time VER IEEE /9500/3200
  1.170  JMPL         TRIGGER_CH3

  1.171  LABEL        DELTA_CH4
  1.172  MATH         @Chan = 4
  1.173  CALL         Sub Tek DPO70404B (1 yr) Delta Time VER IEEE /9500/3200
  1.174  JMPL         TRIGGER_CH4

# Trigger System.
  1.175  LABEL        TIME_QUALIFIED
  1.176  MATH         @Chan = 1
  1.177  CALL         Sub Tek DPO70000 (1 yr) Time Qualified VER IEEE /9500

  1.178  MATH         @Chan = 1
  1.179  CALL         Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200
  1.180  JMPL         DCV_CH2

  1.181  LABEL        TRIGGER_CH2
  1.182  MATH         @Chan = 2
  1.183  CALL         Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200
  1.184  JMPL         DCV_CH3

  1.185  LABEL        TRIGGER_CH3
  1.186  MATH         @Chan = 3
  1.187  CALL         Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200
  1.188  JMPL         DCV_CH4

  1.189  LABEL        TRIGGER_CH4
  1.190  MATH         @Chan = 4
  1.191  CALL         Sub Tek DPO70404B (1 yr) Trigger VER IEEE /9500/3200

# Output Signal Check.
  1.192  MATH         @Chan = 1
  1.193  CALL         Sub Tek DPO70000 (1 yr) Aux Trigger Out VER IEEE
  1.194  CALL         Sub Tek DPO70000 (1 yr) Probe Comp VER IEEE /9500

# Serial Trigger Check.
  1.195  IEEE2        *OPT?[I$]
  1.196  MATH         Option = MEM2

  1.197  IF           FIND(Option, "PTH", 1)
  1.198  MATH         @Chan = 1
  1.199  CALL         Sub Tek DPO70000 (1 yr) Baud Rate VER IEEE /9500/600
  1.200  CALL         Sub Tek DPO70000 (1 yr) Serial Trig VER IEEE /9500/3200
  1.201  ENDIF

  1.202  LABEL        END
  1.203  IEEE2        *RST
  1.204  HEAD         -2

  1.205  IF           @Abort
  1.206  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.207  ELSE
  1.208  RSLT         =
  1.209  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.210  ENDIF

  1.211  END
